#!/bin/sh
#
# Maintain list of commands to run upon exist
# Register handler to execute those commands upon exit
# NOTE: requires bash, will not work on busybox dash
#
# Author: andreas.fenkart@digitalSTROM.org
# Licencse: GPL-v3 or any later version
#

trap cleanup EXIT INT

# /bin/sh does not support "declare -a _cleanup"
# use string instead and mark commands by "DELIM"
export CLEANUP=""

cleanup_push()
{
  # prepend, so that last added executed first
  CLEANUP="$1 DELIM $CLEANUP"
}

cleanup()
{
    echo "-- cleanup allocated resources"
    # echo $CLEANUP
    CUR_CMD=""
    for i in $CLEANUP; do
        if [ $i != "DELIM" ]; then
            CUR_CMD="$CUR_CMD $i"
            continue
        fi

        # execute command
        # echo $CUR_CMD
        eval $CUR_CMD || true;
        CUR_CMD=""
    done
    CLEANUP=""
}
