#!/bin/sh

target()
{
    grep -q ARM926EJ /proc/cpuinfo
}

die()
{
    echo ""
    echo "ERROR: $1 ...  exiting"
    echo ""
    exit 1
}

test_passed()
{
    echo "PASSED"
}

check()
{
    fct=$1
    exp_ret=$2
    exp_output=$3
    ret=0
    # eval runs in a separate shell, it's environment
    # is not visible from this shell
    output=`eval $fct 2>&1` || ret=$?
    [ $ret -eq $exp_ret ] || die "$fct: return code mismatch [$exp_ret != $ret]"

    if [ -z "$exp_output" ]; then
        return
    fi

    [ "$output" = "$exp_output" ] || \
        die "$fct: output mismatch [\'$exp_output\' != \'$output\']"
}


# useful if want to block test in while loop but without
# cleanup
debug_wait()
{
    while read a; do
        [ -n "$a" -a "$a" = 'quit' ] && break
    done
}
