#!/bin/sh

set -e

UNITTEST=1
. ./sdo-rm-old-backups.sh

BACKUP_DIR=/tmp/sdcard_tests/backup

create_test_files()
{
    rm -rf $BACKUP_DIR
    mkdir -p $BACKUP_DIR
    mkdir $BACKUP_DIR/foo
    mkdir $BACKUP_DIR/bar

    YEAR="$(date "+%Y")"
    for Y in $(seq $(($YEAR -3)) $(($YEAR - 1))); do
        for M in `seq -w 1 3 12`; do
            for d in `seq -w 1 13 30`; do
                mkdir $BACKUP_DIR/$Y-$M-$d
                touch $BACKUP_DIR/$Y-$M-$d/place_holder
            done
        done
    done
}


create_test_files

echo
echo "$(date_iso8601) Discard old backups"
rm_older_2years
echo
echo "-- ignore messages: \"unexpected backup folder: foo/bar\""
echo
